package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配网工程队伍施工人员信息对象 pdm_constructor
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public class PdmConstructor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 施工队伍编号 */
    @Excel(name = "施工队伍编号")
    private String teamNo;

    /** 施工小组人员类型（1-工作负责人，2-技工,3-其他） */
    @Excel(name = "施工小组人员类型", readConverterExp = "1=-工作负责人，2-技工,3-其他")
    private String constructPersonType;

    /** 施工人员姓名 */
    @Excel(name = "施工人员姓名")
    private String constructPersonnelName;

    /** 施工人员联系电话号码 */
    @Excel(name = "施工人员联系电话号码")
    private String constructPersonnelPhone;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTeamNo(String teamNo) 
    {
        this.teamNo = teamNo;
    }

    public String getTeamNo() 
    {
        return teamNo;
    }
    public void setConstructPersonType(String constructPersonType) 
    {
        this.constructPersonType = constructPersonType;
    }

    public String getConstructPersonType() 
    {
        return constructPersonType;
    }
    public void setConstructPersonnelName(String constructPersonnelName) 
    {
        this.constructPersonnelName = constructPersonnelName;
    }

    public String getConstructPersonnelName() 
    {
        return constructPersonnelName;
    }
    public void setConstructPersonnelPhone(String constructPersonnelPhone) 
    {
        this.constructPersonnelPhone = constructPersonnelPhone;
    }

    public String getConstructPersonnelPhone() 
    {
        return constructPersonnelPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teamNo", getTeamNo())
            .append("constructPersonType", getConstructPersonType())
            .append("constructPersonnelName", getConstructPersonnelName())
            .append("constructPersonnelPhone", getConstructPersonnelPhone())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
